Get a webhook
GET
https://api.vercel.com/v1/webhooks/{id}Get a webhook
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.webhooks.getWebhook({ id: "<id>", teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
{ "alertRuleIds": [], "events": [], "id": "account_hook_GflD6EYyo7F4ViYS", "url": "https://my-webhook.com", "ownerId": "ZspSRT4ljIEEmMHgoDwKWDei", "createdAt": "1567024758130", "updatedAt": "1567024758130", "projectIds": []}AuthorizationbearerToken
Default authentication mechanism
200Success
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
410Error